regina::LPConstraintNone Class Reference
Vertex Enumeration

A do-nothing class that imposes no additional linear constraints on the tableaux of normal surface or angle structure matching equations. More...

`#include <enumerate/treeconstraint.h>`

Inheritance diagram for regina::LPConstraintNone:

## Classes

struct | Coefficients
| Stores the extra coefficients in the tableaux associated with this constraint class (which for this class is a no-op, since in this case there are no extra coefficients). More...

## Public Types

enum | { nConstraints = 0 }
enum | { nConstraints }

## Static Public Member Functions

static bool | addRows (LPCol< regina::LPConstraintNone > *, const int *, const Triangulation< 3 > *)
template<typename IntType >
static void | constrain (LPData< regina::LPConstraintNone, IntType > &, unsigned)
static bool | verify (const NormalSurface *)
static bool | verify (const AngleStructure *)
static bool | supported (NormalCoords coords)
static bool | addRows (LPCol< LPConstraintBase > *col, const int *columnPerm, const Triangulation< 3 > *tri)
| Explicitly constructs equations for the linear function(s) constrained by this class. More...

## Detailed Description

A do-nothing class that imposes no additional linear constraints on the tableaux of normal surface or angle structure matching equations.

See the LPConstraintBase class notes for details on all member functions and structs.

Python:\n Not present.

The documentation for this class was generated from the following file:

- enumerate/treeconstraint.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).